Bug 261634 - Use Qt6 source code from KDE git repository to compile AppImage bundle
Summary: Use Qt6 source code from KDE git repository to compile AppImage bundle
Status: REOPENED
Alias: None
Product: digikam
Classification: Unclassified
Component: Bundle-AppImage (show other bugs)
Version: 7.6.0
Platform: Appimage Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL: https://invent.kde.org/qt/qt/qt5/-/tr...
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-30 16:13 UTC by Andi Clemens
Modified: 2022-01-31 09:03 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andi Clemens 2010-12-30 16:13:55 UTC
Version:           1.6.0
OS:                Linux



Reproducible: Didn't try
Comment 1 Andi Clemens 2010-12-30 16:14:19 UTC
Gilles... just testing :-)
Comment 2 caulier.gilles 2022-01-23 14:30:11 UTC
Git commit 58854446147363b07df3b554871c413316ee52ec by Gilles Caulier.
Committed on 23/01/2022 at 14:28.
Pushed by cgilles into branch 'master'.

Add rules to checkout and compile code from KDE Qt6 repository for AppImage bundle.
Not yet tested. Current Qt stable version is 6.3

A  +100  -0    project/bundles/3rdparty/ext_qt/6.3/CMakeLists.txt
A  +271  -0    project/bundles/3rdparty/ext_qt/6.3/config_help_6.3.txt
A  +95   -0    project/bundles/3rdparty/ext_qt/6.3/kde-qt6.sh
A  +13   -0    project/bundles/3rdparty/ext_qt/6.3/qt-appimage-openssl-linked.patch
A  +83   -0    project/bundles/3rdparty/ext_qt/6.3/qt-appimage-support.patch
A  +13   -0    project/bundles/3rdparty/ext_qt/6.3/qt-icu-hack.patch

https://invent.kde.org/graphics/digikam/commit/58854446147363b07df3b554871c413316ee52ec
Comment 3 caulier.gilles 2022-01-23 15:07:41 UTC
Git commit 1d153f76e5ebf15846e65001943238609d86ce56 by Gilles Caulier.
Committed on 23/01/2022 at 15:06.
Pushed by cgilles into branch 'master'.

add new Qt6 submodules to ignore at configuration time.

M  +8    -4    project/bundles/3rdparty/ext_qt/6.3/CMakeLists.txt

https://invent.kde.org/graphics/digikam/commit/1d153f76e5ebf15846e65001943238609d86ce56
Comment 4 caulier.gilles 2022-01-23 15:33:03 UTC
Git commit 453ffb2b2a11a5ec117095d17f2921a66b4c6936 by Gilles Caulier.
Committed on 23/01/2022 at 15:32.
Pushed by cgilles into branch 'master'.

update list of Qt6.3 sub-modules to drop

M  +15   -12   project/bundles/3rdparty/ext_qt/6.3/CMakeLists.txt

https://invent.kde.org/graphics/digikam/commit/453ffb2b2a11a5ec117095d17f2921a66b4c6936
Comment 5 caulier.gilles 2022-01-23 19:26:47 UTC
Git commit 900511584553a1b62e32af9509405289541c0ac7 by Gilles Caulier.
Committed on 23/01/2022 at 19:25.
Pushed by cgilles into branch 'master'.

Add before download step to please cmake to not recheck Qt code from KDE Qt repository

M  +6    -4    project/bundles/3rdparty/ext_qt/5.15-LTS/CMakeLists.txt
M  +6    -4    project/bundles/3rdparty/ext_qt/6.3/CMakeLists.txt

https://invent.kde.org/graphics/digikam/commit/900511584553a1b62e32af9509405289541c0ac7
Comment 6 caulier.gilles 2022-01-23 23:19:12 UTC
Git commit e6db88513131131daa5c4b7060b186af50378192 by Gilles Caulier.
Committed on 23/01/2022 at 23:15.
Pushed by cgilles into branch 'master'.

copy list of Qt submodules git revisions as manifiest in /usr/share/qt...
Related: bug 114417

M  +3    -1    project/bundles/3rdparty/ext_qt/5.15-LTS/kde-qt5-lts.sh
M  +3    -1    project/bundles/3rdparty/ext_qt/6.3/kde-qt6.sh

https://invent.kde.org/graphics/digikam/commit/e6db88513131131daa5c4b7060b186af50378192
Comment 7 caulier.gilles 2022-01-24 06:41:27 UTC
Git commit bf5ee4c11fb37e8cab35d9231bed34d96c6d5afb by Gilles Caulier.
Committed on 24/01/2022 at 06:39.
Pushed by cgilles into branch 'master'.

copy qt git revision manifest in the bundle at ./usr/share/digikam/MANIFEST.txt
Related: bug 114417

M  +3    -5    project/bundles/3rdparty/ext_qt/5.15-LTS/kde-qt5-lts.sh
M  +4    -6    project/bundles/3rdparty/ext_qt/6.3/kde-qt6.sh
M  +2    -0    project/bundles/appimage/01-build-host.sh
M  +0    -2    project/bundles/appimage/03-build-digikam.sh
M  +6    -1    project/bundles/appimage/04-build-appimage.sh

https://invent.kde.org/graphics/digikam/commit/bf5ee4c11fb37e8cab35d9231bed34d96c6d5afb
Comment 8 caulier.gilles 2022-01-24 09:43:37 UTC
Git commit 332ac3bd39e779666eb74348b3690c40c64cce01 by Gilles Caulier.
Committed on 24/01/2022 at 09:37.
Pushed by cgilles into branch 'master'.

prepare libs info dialog to show MANIFEST file contents with all git revisions from upstream code as QT5.15 LTS

M  +74   -33   core/app/views/utils/componentsinfodlg.cpp
M  +111  -52   core/libs/dialogs/libsinfodlg.cpp
M  +6    -0    core/libs/dialogs/libsinfodlg.h

https://invent.kde.org/graphics/digikam/commit/332ac3bd39e779666eb74348b3690c40c64cce01
Comment 9 caulier.gilles 2022-01-24 10:12:01 UTC
Git commit 7613ada0bbe789e44e185e70035445a828778dc3 by Gilles Caulier.
Committed on 24/01/2022 at 10:10.
Pushed by cgilles into branch 'master'.

Add support of MANIFEST.txt file with all git revisions from upstream components
Related: bug 114417

M  +50   -0    core/libs/dialogs/libsinfodlg.cpp

https://invent.kde.org/graphics/digikam/commit/7613ada0bbe789e44e185e70035445a828778dc3
Comment 10 caulier.gilles 2022-01-25 09:37:10 UTC
Git commit 340b6fe593599a7a1cefd8b77bce86f66fa264ec by Gilles Caulier.
Committed on 25/01/2022 at 09:35.
Pushed by cgilles into branch 'master'.

create manifest for libraw in digiKam core.
merge manifest files in all bundles
Related: bug 114417

M  +1    -1    NEWS
A  +2    -0    core/libs/rawengine/libraw/libraw_manifest.txt
M  +1    -0    project/bundles/appimage/03-build-digikam.sh
M  +9    -1    project/bundles/appimage/04-build-appimage.sh
M  +1    -0    project/bundles/macports/03-build-digikam.sh
M  +14   -0    project/bundles/macports/04-build-installer.sh
M  +1    -0    project/bundles/mxe/03-build-digikam.sh
M  +11   -0    project/bundles/mxe/04-build-installer.sh

https://invent.kde.org/graphics/digikam/commit/340b6fe593599a7a1cefd8b77bce86f66fa264ec
Comment 11 caulier.gilles 2022-01-25 11:08:52 UTC
Git commit 3351d8c3a80247c9008994ae10fe84d8d6134839 by Gilles Caulier.
Committed on 25/01/2022 at 11:07.
Pushed by cgilles into branch 'master'.

Create manifest for rolling release Exiv2
Related: bug 114417

M  +1    -1    core/libs/rawengine/libraw/libraw_manifest.txt
M  +14   -8    project/bundles/3rdparty/ext_exiv2/CMakeLists.txt
M  +1    -1    project/bundles/3rdparty/ext_qt/5.15-LTS/kde-qt5-lts.sh
M  +1    -1    project/bundles/3rdparty/ext_qt/6.3/kde-qt6.sh
A  +37   -0    project/scripts/create_manifest.sh

https://invent.kde.org/graphics/digikam/commit/3351d8c3a80247c9008994ae10fe84d8d6134839
Comment 12 caulier.gilles 2022-01-25 12:19:53 UTC
Git commit cf3de1f3b2f9eba2a4b6fe7be050d31b30a520cd by Gilles Caulier.
Committed on 25/01/2022 at 12:18.
Pushed by cgilles into branch 'master'.

create manifest for rolling release lensfun and qtav
Related: bug 114417

M  +3    -1    project/bundles/3rdparty/ext_exiv2/CMakeLists.txt
M  +12   -2    project/bundles/3rdparty/ext_lensfun/CMakeLists.txt
M  +11   -2    project/bundles/3rdparty/ext_qtav/CMakeLists.txt
M  +3    -0    project/bundles/appimage/03-build-digikam.sh
M  +1    -1    project/bundles/appimage/config.sh
M  +2    -2    project/scripts/create_manifest.sh

https://invent.kde.org/graphics/digikam/commit/cf3de1f3b2f9eba2a4b6fe7be050d31b30a520cd
Comment 13 caulier.gilles 2022-01-27 10:12:24 UTC
Git commit 64aabc7efde8e0be9f41339fe53c10808304f2ce by Gilles Caulier.
Committed on 27/01/2022 at 09:25.
Pushed by cgilles into branch 'master'.

more tune to compile Qt6 for AppImage

M  +68   -73   project/bundles/3rdparty/ext_qt/6.3/CMakeLists.txt
A  +88   -0    project/bundles/3rdparty/ext_qt/6.3/bootstrap-qt6.sh
A  +10   -0    project/bundles/3rdparty/ext_qt/6.3/qt-base-cmake.patch

https://invent.kde.org/graphics/digikam/commit/64aabc7efde8e0be9f41339fe53c10808304f2ce
Comment 14 caulier.gilles 2022-01-27 10:15:09 UTC
Git commit 1ac5ccaff45e375e1ba1433b5780627151e73d23 by Gilles Caulier.
Committed on 27/01/2022 at 10:14.
Pushed by cgilles into branch 'master'.

add ninja as dependency compilation tool for Qt6

M  +1    -0    project/bundles/appimage/01-build-host.sh
D  +0    -1077 project/bundles/macports/installer/digikam.pkgproj

https://invent.kde.org/graphics/digikam/commit/1ac5ccaff45e375e1ba1433b5780627151e73d23
Comment 15 caulier.gilles 2022-01-27 15:55:44 UTC
Git commit f1a59f36e651149af3cd1656fe51db580bbdfbb7 by Gilles Caulier.
Committed on 27/01/2022 at 15:53.
Pushed by cgilles into branch 'master'.

QT§ core now compile fine against openssl-linked

M  +1    -0    project/bundles/3rdparty/ext_qt/6.3/CMakeLists.txt
M  +0    -1    project/bundles/3rdparty/ext_qt/6.3/bootstrap-qt6.sh
M  +33   -13   project/bundles/3rdparty/ext_qt/6.3/qt-appimage-openssl-linked.patch

https://invent.kde.org/graphics/digikam/commit/f1a59f36e651149af3cd1656fe51db580bbdfbb7
Comment 16 caulier.gilles 2022-01-28 04:54:23 UTC
Git commit c31062cbf3b7b55aa485787c1e12f67832327b43 by Gilles Caulier.
Committed on 28/01/2022 at 04:52.
Pushed by cgilles into branch 'master'.

include O2 library manifest with git revision to all bundles.
Related: bug 114417

A  +2    -0    core/libs/dplugins/webservices/o2/o2_manifest.txt
M  +3    -0    project/bundles/appimage/03-build-digikam.sh
M  +3    -0    project/bundles/macports/03-build-digikam.sh
M  +3    -0    project/bundles/mxe/03-build-digikam.sh

https://invent.kde.org/graphics/digikam/commit/c31062cbf3b7b55aa485787c1e12f67832327b43
Comment 17 caulier.gilles 2022-01-28 09:49:40 UTC
Git commit fa85e18d67be4d517bbd00b91250df9687debc6d by Gilles Caulier.
Committed on 28/01/2022 at 09:48.
Pushed by cgilles into branch 'master'.

Qt 6.2.3 is just release today

R  +0    -0    project/bundles/3rdparty/ext_qt/6.2/CMakeLists.txt [from: project/bundles/3rdparty/ext_qt/6.3/CMakeLists.txt - 100% similarity]
R  +0    -0    project/bundles/3rdparty/ext_qt/6.2/bootstrap-qt6.sh [from: project/bundles/3rdparty/ext_qt/6.3/bootstrap-qt6.sh - 100% similarity]
R  +0    -0    project/bundles/3rdparty/ext_qt/6.2/config_help_6.3.txt [from: project/bundles/3rdparty/ext_qt/6.3/config_help_6.3.txt - 100% similarity]
R  +1    -1    project/bundles/3rdparty/ext_qt/6.2/kde-qt6.sh [from: project/bundles/3rdparty/ext_qt/6.3/kde-qt6.sh - 099% similarity]
R  +0    -0    project/bundles/3rdparty/ext_qt/6.2/qt-appimage-openssl-linked.patch [from: project/bundles/3rdparty/ext_qt/6.3/qt-appimage-openssl-linked.patch - 100% similarity]
R  +0    -0    project/bundles/3rdparty/ext_qt/6.2/qt-appimage-support.patch [from: project/bundles/3rdparty/ext_qt/6.3/qt-appimage-support.patch - 100% similarity]
R  +0    -0    project/bundles/3rdparty/ext_qt/6.2/qt-base-cmake.patch [from: project/bundles/3rdparty/ext_qt/6.3/qt-base-cmake.patch - 100% similarity]
R  +0    -0    project/bundles/3rdparty/ext_qt/6.2/qt-icu-hack.patch [from: project/bundles/3rdparty/ext_qt/6.3/qt-icu-hack.patch - 100% similarity]
M  +1    -1    project/bundles/appimage/config.sh

https://invent.kde.org/graphics/digikam/commit/fa85e18d67be4d517bbd00b91250df9687debc6d
Comment 18 caulier.gilles 2022-01-29 06:02:49 UTC
Git commit c6dd9e5b94182c53fbdb67e2a716d142d4b37f70 by Gilles Caulier.
Committed on 29/01/2022 at 06:01.
Pushed by cgilles into branch 'master'.

Adjust patch for Qt6.2.3

M  +0    -17   project/bundles/3rdparty/ext_qt/6.2/qt-appimage-openssl-linked.patch

https://invent.kde.org/graphics/digikam/commit/c6dd9e5b94182c53fbdb67e2a716d142d4b37f70
Comment 19 caulier.gilles 2022-01-29 14:33:22 UTC
QT DOWNSTREAM bug as compilation fail in QtWebEngine with 6.2.2 and 6.2.3 release:

https://bugreports.qt.io/browse/QTBUG-100320
Comment 20 caulier.gilles 2022-01-31 09:03:15 UTC
Qt team response : https://bugreports.qt.io/browse/QTBUG-100320?focusedCommentId=643695&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-643695

So, GCC9 is the lower version to use for Qt6 ==> go to Mageia 8

Gilles Caulier